Page MenuHomePhabricator

activating Extension:FormatNum in fa.wiki
Closed, DeclinedPublic

Description

In many cases we want to uses Extension:FormatNum
but it is not activated.
for example in templates we want to set template to show numbers in Persian characters but if we use {{formatnum:}} it will add decimal separator
and it is not good for year numbers!
now {{formatnum:2011}}==>۲،۰۱۱

would you please activate this extension in fa.wiki?
http://www.mediawiki.org/wiki/Extension:FormatNum


Closed as Declined because core {{formatnum:}} suffices for fa.wikipedia.org after T37753 got fixed.
T37753: Add a way to use {{FORMATNUM}} to just do digit transform

Details

Reference
bz32311

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:57 PM
bzimport set Reference to bz32311.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Nov 9 2011, 11:17 AM
Reedy added a comment.Nov 9 2011, 12:52 PM

Extension needs review before deploy

It is relatively a simple extension though

but it is useful for us and we can set it like
{{#formatnum: 2010|||}} and it gives us ۲۰۱۱ that doesn't have decimal separator
comparing to {{formatnum:2011}}==>۲،۰۱۱

Reedy added a comment.Nov 9 2011, 1:36 PM

(In reply to comment #2)

but it is useful for us and we can set it like
{{#formatnum: 2010|||}} and it gives us ۲۰۱۱ that doesn't have decimal
separator
comparing to {{formatnum:2011}}==>۲،۰۱۱

And?

I didn't say you couldn't have it. I said it needs review before it can be enabled on the cluster.

would you please install Extension:FormatNum on http://winkyfrown.com/fawiki/index.php/Numbers
I want to test it

(In reply to comment #4)

would you please install Extension:FormatNum on

No. It's not our wiki.

You might actually just want bug 35753 fixed.

Platonides said in Bug #40422 comment #3:

Why did slwiki and fawiki request it? Doesn't the core {{formatnum: }} work for
them? (yes, there's a name clash, quite bad for the proposed extension)
If the number format configured for their language is wrong, it should be fixed
in the language files, not workarounded with an extension.

It would be nice to indicate if (i) your need is covered by bug 37573 (ii) we would need to do other stuff in our core FORMATNUM (iii) you really the need FormatNum extension.

as I said in first comment in many cases we need local numbers {{formatnum:}} adds thousand separators.
we want an option to have locale number without thousand separators like bug 35753

it doesn't need if bug 35753 is solved

Krinkle updated the task description. (Show Details)Nov 16 2016, 12:43 AM
Krinkle set Security to None.
Krinkle removed a subscriber: wikibugs-l-list.